.tbl-container {
	display inline-block
	transform scale(0.5)
	transform-origin 0% 0%
	&:hover {
		cursor pointer
		.fill {
			background-color lighten($base-color, 40%)
		}
		.merge {
			border-bottom 1px solid darken($base-color, 20%)
			border-top 1px solid darken($base-color, 20%)
			background-image: linear-gradient(30deg, darken($base-color, 30%) 10%, lighten($base-color, 10%) 100%);
		}
		.split {
			border 1px solid darken($base-color, 20%)
			& td {
				border-right 1px solid lighten($base-color, 20%)
				background darken($base-color, 90%)
			}
		}
		[class^="icon"] {
			color darken($base-color, 40%)
		}
	}

	table {
		border: 1px solid darken($base-color-3, 70%);
		border-collapse: collapse;
		width inherit
	}
	
	th, td {
		padding: 5px !important;
		border-radius 0px
	}

	tr + tr {
		border-top: 1px solid lighten($base-color-3, 70%);
	}

	td {
		border-left: 1px solid $base-color-3;
	}

	th + th, td + td {
		border-left: 1px solid lighten($base-color-3, 70%);
	}
	
	.fill {
		background lighten($base-color-3, 80%)
	}
	.merge {
		background-image: linear-gradient(30deg, lighten($base-color, 10%) 10%, darken($base-color, 30%) 100%);
	}
	.split {
		border 1px solid lighten($base-color-3, 20%)
		& td {
			border-right 1px solid lighten($base-color-3, 20%)
		}
	}
	[class^="icon"] {
		color $base-color
		font-size: 2.4rem;
		font-weight: bold;
		left: 0.7rem;
		position: absolute;
		&.icon-arrow_upward {
			top: 0.1rem;
		}
		&.icon-arrow_downward {
			top: 1.2rem;
		}
		&.icon-arrow_back {
			top: 0.5rem;
			left: 0.3rem;
		}
		&.icon-arrow_forward{
			top: 0.5rem;
			left: 1.3rem;
		}
		&.icon-close{
			top: 0.5rem;
		}
	}
}
.tbl-container + .tbl-container {
	margin-left -1rem;
}
.tbl-container:last-child {
	margin-right -1.5rem;
}
.align {
    width: 1.5rem;
    border: 1px solid black;
    padding: 3px 2px;
    height: 1.5rem;
	& + .align {
		margin-left 0.4rem
	}
	&:hover div {
		border-bottom: 1px solid $base-color;
	}
	& div {
		border-bottom: 1px solid darken($base-color, 60%);
		line-height: 0.1rem
		&.four {
			width: 100%;
		}
		&.three {
			width: 80%;
		}
		&.two {
			width: 60%;
		}
		&.one {
			width: 40%;
		}
	}
	&.align-right {
		.one {
			margin-left 60%
		}
		.two {
			margin-left 40%
		}
		.three {
			margin-left 20%
		}
	}
	&.align-center {
		.two {
			margin-left 20%
		}
	}
}
